For the complete documentation index, see llms.txt. This page is also available as Markdown.

Explorer

Block Data

post
/ws/subscribe/block

Subscribe to new block data.

{ "method": "subscribe", "subscription": { "type": "block" } }
Responses
200

Push data

application/json
post/ws/subscribe/block
ws.send(JSON.stringify({
  method: "subscribe", subscription: { type: "block" },
}));
200

Push data

{
  "channel": "block",
  "data": {
    "blockHeight": 16105909,
    "blockTime": 1776920283000,
    "txCount": 5
  }
}

Block Height

post
/ws/subscribe/blockHeight

Subscribe to block height updates (lightweight).

{ "method": "subscribe", "subscription": { "type": "blockHeight" } }
Responses
200

Push data

application/json
post/ws/subscribe/blockHeight
ws.send(JSON.stringify({
  method: "subscribe", subscription: { type: "blockHeight" },
}));
200

Push data

{
  "channel": "blockHeight",
  "data": {
    "blockHeight": 16105909,
    "timestamp": 1776920283000
  }
}

Transactions

post
/ws/subscribe/tx

Subscribe to new transactions.

{ "method": "subscribe", "subscription": { "type": "tx" } }
Responses
200

Push data

application/json
post/ws/subscribe/tx
ws.send(JSON.stringify({
  method: "subscribe", subscription: { type: "tx" },
}));
200

Push data

{
  "channel": "tx",
  "data": {
    "blockHeight": 16105909,
    "txHash": "ABC123...",
    "user": "0xabc...",
    "actionType": "placeOrder",
    "status": 1
  }
}

Last updated